<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Subscription extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function vipGameGroup()
    {
        return $this->belongsTo(VipGameGroup::class, 'vip_game_group_id');
    }

    public function vvipGameGroup()
    {
        return $this->belongsTo(VvipGameGroup::class, 'vvip_game_group_id');
    }

    public function correctScoreGameGroup()
    {
        return $this->belongsTo(CorrectScoreGameGroup::class, 'correct_score_game_group_id');
    }
}
